''' -----------------------------------------------------------------------------
''' Project	 : FlowSheetControl
''' Class	 : Controls.cFlowFinding
''' 
''' -----------------------------------------------------------------------------
''' <summary>
''' This class provides finding data associated with an action.
''' </summary>
''' <remarks>
''' </remarks>
''' <history>
''' 	[roy]	2/27/2006	Created
''' </history>
''' -----------------------------------------------------------------------------
Public Class cFlowFinding
    Private myGroup As Short    'Medicomp.MedcinGroups              ' Narrative group
    Private mySubGroup As Short             ' Subgroup
    Private myMedcinid As Integer         ' Medcinid of row
    Private myClientKey As String         ' Key asigned by client
    Private myButtonState As FlowSheet.FindingButtonState  ' State of Pos|Neg button
    Private myChart As Object  'MedChart
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' This is the MedChart object containing chart data.
    ''' </summary>
    ''' <value></value>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' 	[roy]	2/27/2006	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Property Chart() As Object
        Get
            Return myChart
        End Get
        Set(ByVal Value As Object)
            myChart = Value
        End Set
    End Property
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' This indicates the current state of the pos-neg buttons.
    ''' </summary>
    ''' <value></value>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' 	[roy]	2/27/2006	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Property ButtonState() As FlowSheet.FindingButtonState
        Get
            Return myButtonState
        End Get
        Set(ByVal Value As FlowSheet.FindingButtonState)
            myButtonState = Value
        End Set
    End Property
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' This is the key for the encounter finding that is provided by the application.
    ''' </summary>
    ''' <value></value>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' 	[roy]	2/27/2006	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Property ClientKey() As String
        Get
            Return myClientKey
        End Get
        Set(ByVal Value As String)
            myClientKey = Value
        End Set
    End Property

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' This is the Medcinid of the finding.
    ''' </summary>
    ''' <value></value>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' 	[roy]	2/27/2006	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Property Medcinid() As Integer
        Get
            Return myMedcinid
        End Get
        Set(ByVal Value As Integer)
            myMedcinid = Value
        End Set
    End Property

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' This is the narrative group that the finding is part of.
    ''' </summary>
    ''' <value></value>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' 	[roy]	2/27/2006	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Property Group() As Short
        Get
            Return myGroup
        End Get
        Set(ByVal Value As Short)
            myGroup = Value
        End Set
    End Property

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' This is the subgroup property that the finding falls under.
    ''' </summary>
    ''' <value></value>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' 	[roy]	6/22/2006	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Property SubGroup() As Short
        Get
            Return mySubGroup
        End Get
        Set(ByVal Value As Short)
            mySubGroup = Value
        End Set
    End Property
End Class

Friend Class ObjectTag
    Private myIndex As Short
    Private myNumber As Integer
    Private myText As String = ""
    Public Property Index() As Short
        Get
            Return myIndex
        End Get
        Set(ByVal Value As Short)
            myIndex = Value
        End Set
    End Property
    Public Property Number() As Integer
        Get
            Return myNumber
        End Get
        Set(ByVal Value As Integer)
            myNumber = Value
        End Set
    End Property
    Public Property Text() As String
        Get
            Return myText
        End Get
        Set(ByVal Value As String)
            myText = Value
        End Set
    End Property

    Public Sub New()

    End Sub
    Public Sub New(ByVal Index As Short)
        myIndex = Index
    End Sub
    Public Sub New(ByVal Number As Integer, ByVal Text As String)
        myNumber = Number
        myText = Text
    End Sub
    Public Overrides Function ToString() As String
        Return myText
    End Function
End Class
